;
; EditString (and ChangeChar) Example by Wouter Demuynck (kadem@unicall.be)
; TI-82 ASM Corner : http://uc2.unicall.be/kadem/ti82
; Read CCHAR.TXT and CCHAR.ASM for more info on the routines
;

#include "crash82.inc"

.db "EditString Example by WD",0

 ROM_CALL(CLEARLCD)
 ld hl,$0000
 ld (CURSOR_POS),hl
 ld hl,Msg_CCharTest
 SET 3,(IY+$05)
 ROM_CALL(D_ZT_STR)    ; Show message "CChar Test"
 RES 3,(IY+$05)
 ld hl,$0002
 ld (CURSOR_POS),hl
 ld hl,Msg_GiveString
 ROM_CALL(D_ZT_STR)    ; Show message "Edit String"
 ld hl,StringToEdit
 ld a,10
 ld bc,$0403
 call EditString       ; Edit string
 ld hl,$0004
 ld (CURSOR_POS),hl
 ld hl,Msg_NewString
 ROM_CALL(D_ZT_STR)    ; Show Message "New String"
 ld bc,$0405
 ld (CURSOR_POS),bc
 ld hl,StringToEdit
 ROM_CALL(D_ZT_STR)    ; Show new string
 JP CR_KHAND           ; wait for key and exit                  

.include "cchar.asm"   ; Include EditString and ChangeChar

StringToEdit:
.db "----------",0

Msg_GiveString:
.db "Edit String:",0
Msg_NewString:
.db "New String:",0
Msg_CCharTest:
.db "CChar Test by WD",0


